[suite audiod_cmd]
caption = list of audiod commands
[subcommand cycle]
	purpose = switch to next operating mode
	[description]
		Cycle through the three operation modes (on, standby, off).
	[/description]

[subcommand help]
	purpose = display command list or help for given command
	non-opts-name = [subcommand]
	[description]
		When I was younger, so much younger than today, I never needed
		anybody's help in any way. But now these days are gone, I'm not so self
		assured. Now I find I've changed my mind and opened up the doors. --
		Beatles: Help
	[/description]

[subcommand grab]
	purpose = grab the audio stream
	[description]
		grab ('splice') the audio stream at any position in the buffer tree
		and send that data back to the client.
	[/description]
	[option mode]
		short_opt = m
		summary = change grab mode
		arg_info = required_arg
		arg_type = string
		typestr = mode
		default_val = s
		[help]
			The various grab modes only differ in what happens if an attempt to
			write the grabbed audio data would block. Sloppy mode ("s") ignores
			the write, pedantic mode ("p") aborts and aggressive mode ("a")
			tries to write anyway.
		[/help]
	[option parent]
		short_opt = p
		summary = Grab output of the given node of the buffer tree
		arg_info = required_arg
		arg_type = string
		typestr = node
	[option name]
		short_opt = n
		summary = Name of the new buffer tree node. Defaults to 'grab'
		arg_info = optional_arg
		arg_type = string
		typestr = string
	[option one-shot]
		short_opt = o
		summary = One-shot mode: Stop grabbing if audio file changes

[subcommand off]
	purpose = deactivate para_audiod
	[description]
		Close connection to para_server and stop all decoders.
	[/description]

[subcommand on]
	purpose = activate para_audiod
	[description]
		Establish connection to para_server, retrieve para_server's current
		status. If playing, start corresponding decoder. Otherwise stop
		all decoders.
	[/description]

[subcommand sb]
	purpose = enter standby mode
	[description]
		Stop all decoders but leave connection to para_server open.
	[/description]

[subcommand stat]
	purpose = print status information
	non-opts-name = [item...]
	[description]
		Dump given status items (all if none given) to stdout.
	[/description]
	[option parser-friendly]
		short_opt = p
		summary = use parser-friendly output format

[subcommand version]
	purpose = print the version of para_audiod
	[option verbose]
		short_opt = v
		summary = print detailed (multi-line) version text

[subcommand tasks]
	purpose = list current tasks
	[description]
		Print the list of task ids together with the status of each task.
	[/description]

[subcommand term]
	purpose = terminate para_audiod
	[description]
		Stop all decoders, shut down connection to para_server and exit.
	[/description]
